//**********************
// I2C sample
//
// Condition:
// Header:
// Source: 
// Library: libp30F2012-coff.a
// Linker: p30f2012.gld
//
// (C)Copyright 2010 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************
#include <p30f2012.h>
#include <stdio.h>
#include <i2c.h>
#include "Config.h"
#include "LCD.h"
#include "Wait.h"
#include "I2C.h"
#include "SW.h"

#define I2Cadr 0xA0	// 1 0 1 0 A2 A1 A0 R/W

// Main routine
int main(void)
{
	char msg[20];
	int i;

	InitI2C();

	// LCD init
	InitLCD();
	// turn on
	PutCmdLCD(DISPLAY_ON & CURSOR_OFF & BLINK_OFF);
	ClsLCD();

	// 64Kbit=8KB
	for(i=0;i<8192;i++){
		EEPROMwriteI2C(I2Cadr,i,i);
		WaitNms(5);	// wait EEPROM writing
		sprintf(msg,"%4X=%2X",i, EEPROMreadI2C(I2Cadr,i));
		LocateLCD(0,0);
		PutsLCD(msg);
		while(GetSW1()==1);
		WaitNms(100);
	}

	CloseI2C();
	while(1);

}

